Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 615939 - [abrt] crash in setroubleshoot-server-2.2.88-1.fc13: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.77" is not allowed to own the service "org.fedoraproject.SetroubleshootFixit" due to security polic
[abrt] crash in setroubleshoot-server-2.2.88-1.fc13: connection.py:630:call_b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:08997608
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 06:19 EDT by Miloslav Trmač
Modified: 2011-06-06 03:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 03:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.41 KB, text/plain)
2010-07-19 06:19 EDT, Miloslav Trmač
no flags Details

  None (edit)
Description Miloslav Trmač 2010-07-19 06:19:21 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/share/setroubleshoot/SetroubleshootFixit.py
comment: Ran /usr/share/setroubleshoot/SetroubleshootFixit.py  as an unprivileged user 
component: setroubleshoot
executable: /usr/share/setroubleshoot/SetroubleshootFixit.py
kernel: 2.6.33.6-147.fc13.x86_64
package: setroubleshoot-server-2.2.88-1.fc13
reason: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.77" is not allowed to own the service "org.fedoraproject.SetroubleshootFixit" due to security policies in the configuration file
release: Fedora release 13 (Goddard)

backtrace
-----
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.77" is not allowed to own the service "org.fedoraproject.SetroubleshootFixit" due to security policies in the configuration file

Traceback (most recent call last):
  File "/usr/share/setroubleshoot/SetroubleshootFixit.py", line 25, in <module>
    name = dbus.service.BusName("org.fedoraproject.SetroubleshootFixit", system_bus)
  File "/usr/lib/python2.6/site-packages/dbus/service.py", line 129, in __new__
    retval = bus.request_name(name, name_flags)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 306, in request_name
    'su', (name, flags))
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.77" is not allowed to own the service "org.fedoraproject.SetroubleshootFixit" due to security policies in the configuration file

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x17d5770>
args: ('org.fedoraproject.SetroubleshootFixit', 0)
utf8_strings: False
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/org/freedesktop/DBus'
timeout: -1.0
signature: 'su'
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage object at 0x1558408>
method: 'RequestName'
Comment 1 Miloslav Trmač 2010-07-19 06:19:23 EDT
Created attachment 432819 [details]
File: backtrace
Comment 3 Daniel Walsh 2010-10-07 09:46:31 EDT
I believe this is fixed in setroubleshoot-2.2.102-1.fc13
Comment 4 Bug Zapper 2011-06-01 09:28:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.